# -*- coding: utf-8 -*-
import numpy as np
import scipy.optimize
import matplotlib.pylab as plt

# Wir benutzen die Loeser aus einer früheren Serie.
from ode_solvers import implicit_euler, explicit_euler


# TODO vervollständigen Sie das Template.



def plot_comparison(all_t, all_y, all_labels, ylabel, filename):
    """Plottet einen Vergleich einer Komponente der Loesungen.

    Input:
             all_t : list
                     Zeit Gitter der jeweiligen Loesung.

             all_y : list
                     Die zu plottende Variable

        all_labels : list
                     Label in der Legende

            ylabel : string
                     Beschriftung der y-Achse

          filename : string
                     Der Plot soll hier gespeichert werden (ohne
                     Dateiendung).
    """
    all_styles = ["b-", "r-", "g-", "k-"]

    plt.figure()
    for t, y, style, label in zip(all_t, all_y, all_styles, all_labels):
        plt.plot(t, y, style, label=label)

    plt.grid(True)
    plt.xlabel(r"$t$")
    plt.ylabel(ylabel)
    plt.legend(loc="lower left")
    plt.savefig(filename + ".pdf")
    # plt.savefig(filename + ".png")



# TODO vervollständigen Sie das Template.

